package model

import (
	model2 "Medical_OAuth/common/model"
)

type ServMenu struct {
	model2.Model
	ServiceId  int        `json:"serviceId" gorm:"size:4;not null;comment:服务ID"`  // 服务ID
	MenuPath   string     `json:"menuPath" gorm:"size:128;" swaggerignore:"true"` //
	ParentId   int        `json:"parentId" gorm:"size:11;"`                       // 父id
	Name       string     `json:"name" gorm:"size:128;"`                          // 菜单名称
	Sort       int        `json:"sort" gorm:"size:4;"`                            // 排序
	MenuType   string     `json:"menuType" gorm:"size:1;"`                        // 菜单类型
	Icon       string     `json:"icon" gorm:"size:128;"`                          // 图标
	Component  string     `json:"component" gorm:"size:255;"`                     // 组件路径
	IsFrame    string     `json:"isFrame" gorm:"size:1;DEFAULT:0;"`               // 是否外链 1-是 2-否
	Path       string     `json:"path" gorm:"size:128;"`                          // 外链路由地址
	Permission string     `json:"permission" gorm:"size:255;"`                    // 权限标识
	Visible    string     `json:"visible" gorm:"size:1;"`                         // 1-显示 0-隐藏
	Children   []ServMenu `json:"children,omitempty" gorm:"-"`
	IsSelect   bool       `json:"is_select" gorm:"-"`
	model2.ControlBy
	model2.ModelTime
}

type ServMenuSlice []ServMenu

func (x ServMenuSlice) Len() int           { return len(x) }
func (x ServMenuSlice) Less(i, j int) bool { return x[i].Sort < x[j].Sort }
func (x ServMenuSlice) Swap(i, j int)      { x[i], x[j] = x[j], x[i] }
func (ServMenu) TableName() string {
	return "serv_menu"
}

func (e *ServMenu) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *ServMenu) GetId() interface{} {
	return e.Id
}
