package model

import model2 "Medical_OAuth/common/model"

// 公开用户注册授权
type SysRegisterAuth struct {
	model2.Model
	URKey      string `gorm:"size:128;not null;" json:"URKey"`                         //岗位名称
	RoleId     int    `gorm:"size:4;" json:"roleId"`                                   //角色id
	DeptId     int    `gorm:"size:4;" json:"deptId"`                                   // 部门id
	Status     int    `gorm:"size:4;not null;default:2;comment:状态" json:"status"`      // 状态 1-停用 2-正常
	SMSVerify  int    `gorm:"size:4;not null;default:2;comment:短信验证" json:"SMSVerify"` // 状态 1-关闭 2-开启
	InviteCode string `gorm:"size:255;" json:"remark"`                                 //邀请码
	model2.ControlBy
	model2.ModelTime
}

func (SysRegisterAuth) TableName() string {
	return "sys_register_auth"
}

func (e *SysRegisterAuth) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *SysRegisterAuth) GetId() interface{} {
	return e.Id
}
