package router

import (
	"Medical_OAuth/app/admin/controller"
	"Medical_OAuth/common/middleware"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerSysMenuRouter)
}

// 需认证的路由代码
func registerSysMenuRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.SysMenuController{}

	r := v1.Group("/menu").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", cont.GetPage)
		r.GET("/list", cont.List)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("/:id", cont.Update)
		r.DELETE("", cont.Delete)
	}

	r1 := v1.Group("").Use(authMiddleware.MiddlewareFunc())
	{
		r1.GET("/menu-role", cont.GetMenuRole)
	}

}
