package router

import (
	actions2 "Medical_OAuth/common/actions"
	"Medical_OAuth/common/middleware"
	"github.com/gin-gonic/gin"

	"Medical_OAuth/app/jobs/controller"
	"Medical_OAuth/app/jobs/model"
	"Medical_OAuth/app/jobs/service/dto"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerSysJobRouter)
}

// 需认证的路由代码
func registerSysJobRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {

	r := v1.Group("/sys-job").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		sysJob := &model.SysJob{}
		r.GET("", actions2.PermissionAction(), actions2.IndexAction(sysJob, new(dto.SysJobSearch), func() interface{} {
			list := make([]model.SysJob, 0)
			return &list
		}))
		r.GET("/:id", actions2.PermissionAction(), actions2.ViewAction(new(dto.SysJobById), func() interface{} {
			return &dto.SysJobItem{}
		}))
		r.POST("", actions2.CreateAction(new(dto.SysJobControl)))
		r.PUT("", actions2.PermissionAction(), actions2.UpdateAction(new(dto.SysJobControl)))
		r.DELETE("", actions2.PermissionAction(), actions2.DeleteAction(new(dto.SysJobById)))
	}
	sysJob := controller.SysJob{}

	v1.GET("/job/remove/:id", sysJob.RemoveJobForService)
	v1.GET("/job/start/:id", sysJob.StartJobForService)
}
