// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/app-config": {
            "get": {
                "description": "获取系统配置信息，主要注意这里不在验证权限",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取系统前台配置信息，主要注意这里不在验证权限",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "object",
                                            "additionalProperties": {
                                                "type": "string"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/captcha": {
            "get": {
                "description": "获取验证码",
                "tags": [
                    "登录"
                ],
                "summary": "获取验证码",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "string"
                                        },
                                        "id": {
                                            "type": "string"
                                        },
                                        "msg": {
                                            "type": "string"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/configKey/{{configKey}}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "根据Key获取SysConfig的Service",
                "tags": [
                    "配置管理"
                ],
                "summary": "根据Key获取SysConfig的Service",
                "parameters": [
                    {
                        "type": "string",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/dto.SysConfigByKeyReq"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/dept": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取部门列表",
                "tags": [
                    "部门"
                ],
                "summary": "获取部门列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "部门名称",
                        "name": "deptName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysDept"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加部门",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除部门",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/dept/enter": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除部门",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptEnterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/dept/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取部门",
                "tags": [
                    "部门"
                ],
                "summary": "通过id获取部门",
                "parameters": [
                    {
                        "type": "string",
                        "description": "部门id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysDept"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改部门",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "修改部门",
                "parameters": [
                    {
                        "type": "string",
                        "description": "部门id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/dict-data/option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过key获取数据字典【业务页面使用】",
                "tags": [
                    "字典数据"
                ],
                "summary": "通过key获取数据字典【业务页面使用】",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/dto.SysDictDataGetAllResp"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/dict/data": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取字典数据列表",
                "tags": [
                    "字典数据"
                ],
                "summary": "获取字典数据列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysDictData"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加字典数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "添加字典数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除字典数据",
                "tags": [
                    "字典数据"
                ],
                "summary": "删除字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/dict/data/{dictCode}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取字典数据",
                "tags": [
                    "字典数据"
                ],
                "summary": "通过id获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysDictData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改字典数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "修改字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/dict/type": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "字典类型列表数据",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysDictType"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加字典类型",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "添加字典类型",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除字典类型",
                "tags": [
                    "字典类型"
                ],
                "summary": "删除字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/dict/type-option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "字典类型查询【代码生成】",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型查询【代码生成】",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.SysDictType"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/dict/type/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取字典类型",
                "tags": [
                    "字典类型"
                ],
                "summary": "通过id获取字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysDictType"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改字典类型",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "修改字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/login": {
            "post": {
                "description": "登录认证",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登录认证",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/handler.Login"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取菜单列表",
                "tags": [
                    "菜单"
                ],
                "summary": "获取菜单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "菜单名称",
                        "name": "menuName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "显示名称",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "显示状态",
                        "name": "visible",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysMenu"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/menu-role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "根据登录角色名称获取菜单列表数据【左菜单使用】",
                "tags": [
                    "菜单"
                ],
                "summary": "根据登录角色名称获取菜单列表数据【左菜单使用】",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.SysMenu"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/menu/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取菜单",
                "tags": [
                    "菜单"
                ],
                "summary": "通过id获取菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "菜单id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysMenu"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "菜单id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/post": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取岗位列表",
                "tags": [
                    "岗位"
                ],
                "summary": "获取岗位列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "岗位名称",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "状态 1-停用 2-正常",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "排序 ASC-升序 DESC-降序",
                        "name": "sort",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysPost"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加岗位",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "添加岗位",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除岗位",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "删除岗位",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/post/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取岗位",
                "tags": [
                    "岗位"
                ],
                "summary": "通过id获取岗位",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "岗位id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysPost"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改岗位",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "修改岗位",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "岗位id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/register-auth": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取公开用户注册授权列表",
                "tags": [
                    "公开用户注册授权"
                ],
                "summary": "获取公开用户注册授权列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "公开用户注册授权名称",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "状态 1-停用 2-正常",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "排序 ASC-升序 DESC-降序",
                        "name": "sort",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysRegisterAuth"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加公开用户注册授权",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开用户注册授权"
                ],
                "summary": "添加公开用户注册授权",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRegisterAuthInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除公开用户注册授权",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开用户注册授权"
                ],
                "summary": "删除公开用户注册授权",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRegisterAuthDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/register-auth/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取公开用户注册授权",
                "tags": [
                    "公开用户注册授权"
                ],
                "summary": "通过id获取公开用户注册授权",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "公开用户注册授权id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysRegisterAuth"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改公开用户注册授权",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开用户注册授权"
                ],
                "summary": "修改公开用户注册授权",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "公开用户注册授权id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRegisterAuthUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取角色列表",
                "tags": [
                    "角色"
                ],
                "summary": "角色列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色名称",
                        "name": "roleName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysRole"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建角色",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "创建角色",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除用户角色",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "删除用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/role-api/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取角色路由权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "获取角色路由权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "服务id",
                        "name": "service_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/dto.SysRoleGetRoleApiListResp"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改角色路由权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "修改角色路由权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleUpdateRoleApiReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/role-menu/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改角色菜单权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "修改角色菜单权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/dto.SysRoleGetRoleMenuListResp"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改角色菜单权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "修改角色菜单权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleUpdateRoleMenuReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/role/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取角色",
                "tags": [
                    "角色"
                ],
                "summary": "通过id获取角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysRole"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改用户角色",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色"
                ],
                "summary": "修改用户角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "角色Id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/serv-api": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取接口列表",
                "tags": [
                    "服务接口"
                ],
                "summary": "获取接口列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "服务ID",
                        "name": "serviceId",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "接口名称",
                        "name": "title",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.ServApi"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建接口",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务接口"
                ],
                "summary": "创建接口",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServApiInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除接口",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务接口"
                ],
                "summary": "删除接口",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServApiDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/serv-api/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取接口",
                "tags": [
                    "服务接口"
                ],
                "summary": "通过id获取接口",
                "parameters": [
                    {
                        "type": "string",
                        "description": "接口id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.ServApi"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改接口",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务接口"
                ],
                "summary": "修改接口",
                "parameters": [
                    {
                        "type": "string",
                        "description": "接口id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServApiUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/serv-menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取菜单列表",
                "tags": [
                    "服务菜单"
                ],
                "summary": "获取菜单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "服务ID",
                        "name": "serviceId",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "菜单名称",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "显示状态",
                        "name": "visible",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.ServMenu"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServMenuInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServMenuDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/serv-menu/export": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "导出菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务菜单"
                ],
                "summary": "导出菜单",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServMenuExportReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/serv-menu/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取菜单",
                "tags": [
                    "服务菜单"
                ],
                "summary": "通过id获取菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "菜单id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.ServMenu"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改菜单",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "菜单id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ServMenuUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/service": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取服务列表",
                "tags": [
                    "服务"
                ],
                "summary": "获取服务列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "服务名称",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "状态 1-停用 2-正常",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysService"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加服务",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务"
                ],
                "summary": "添加服务",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysServiceInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除服务",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务"
                ],
                "summary": "删除服务",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysServiceDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/service-disco": {
            "post": {
                "description": "服务发现，服务主动推送到数据库保存，有则更新，没有则删除。",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务"
                ],
                "summary": "服务发现",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysServiceDiscoveryReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/service/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取服务",
                "tags": [
                    "服务"
                ],
                "summary": "通过id获取服务",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "服务id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysService"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改服务",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务"
                ],
                "summary": "修改服务",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "服务id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysServiceUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/set-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值的获取",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"获取成功\"}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "object",
                                            "additionalProperties": true
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "设置配置",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dto.GetSetSysConfigReq"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取配置管理列表",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置管理列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "configName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "key",
                        "name": "configKey",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "类型",
                        "name": "configType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "是否前端",
                        "name": "isFrontend",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysConfig"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "创建配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"创建成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除配置管理",
                "tags": [
                    "配置管理"
                ],
                "summary": "删除配置管理",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-config/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取配置管理",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysConfig"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "修改配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-login-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "登录日志列表",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户名",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "ip地址",
                        "name": "ipaddr",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "归属地",
                        "name": "loginLocation",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endTime",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysLoginLog"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除登录日志",
                "tags": [
                    "登录日志"
                ],
                "summary": "删除登录日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysLoginLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-login-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取登录日志",
                "tags": [
                    "登录日志"
                ],
                "summary": "通过id获取登录日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录日志id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysLoginLog"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/sys-opera-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "操作日志列表",
                "tags": [
                    "操作日志"
                ],
                "summary": "操作日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "title",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "method",
                        "name": "method",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "requestMethod",
                        "name": "requestMethod",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operaUrl",
                        "name": "operaUrl",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operaIp",
                        "name": "operaIp",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "beginTime",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "endTime",
                        "name": "endTime",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysOperaLog"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除操作日志",
                "tags": [
                    "操作日志"
                ],
                "summary": "删除操作日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysOperaLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-opera-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取操作日志",
                "tags": [
                    "操作日志"
                ],
                "summary": "通过id获取操作日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "操作日志id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysOperaLog"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/sys-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取系统用户列表",
                "tags": [
                    "用户"
                ],
                "summary": "获取系统用户列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户名",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "部门id",
                        "name": "deptId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "角色id",
                        "name": "roleId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "岗位id",
                        "name": "postId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态 1-停用 2-正常",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/response.Page"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "list": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.SysUser"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建用户",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "创建用户",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id删除用户数据",
                "tags": [
                    "用户"
                ],
                "summary": "通过id删除用户数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/sys-user/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "通过id获取用户",
                "tags": [
                    "用户"
                ],
                "summary": "通过id获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.SysUser"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改用户数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/user/info": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取个人信息",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取个人中心用户",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": {\"user\":[...],\"role\":[...]}}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "role": {
                                            "$ref": "#/definitions/model.SysRole"
                                        },
                                        "user": {
                                            "$ref": "#/definitions/model.SysUser"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/user/pwd/reset": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "重置用户密码",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置用户密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ResetSysUserPwdReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/user/pwd/set": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "个人中心"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.PassWord"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/user/register": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "公开用户注册",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "公开用户注册",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserRegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/user/status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改用户状态",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户状态",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.UpdateSysUserStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/response.Response"
                        }
                    }
                }
            }
        },
        "/api/userinfo": {
            "get": {
                "description": "服务获取用户信息，验证登录",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "服务"
                ],
                "summary": "服务获取用户信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/response.Response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/model.UserInfo"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "退出登录\nLoginHandler can be used by clients to get a jwt token.\nReply will be of the form {\"token\": \"TOKEN\"}.",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "退出登录",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"msg\": \"成功退出系统\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/newest-token": {
            "get": {
                "description": "获取最新token，提供给接入服务访问，用于单一认证检查",
                "tags": [
                    "用户"
                ],
                "summary": "获取最新token",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "服务id",
                        "name": "serviceId",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "用户id",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": \"...token...\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/verify-code": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取短信验证码",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "获取短信验证码",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": \"18888888888\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dto.GetSetSysConfigReq": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                }
            }
        },
        "dto.PassWord": {
            "type": "object",
            "properties": {
                "newPassword": {
                    "description": "新密码",
                    "type": "string",
                    "example": "123456"
                },
                "oldPassword": {
                    "description": "旧密码",
                    "type": "string",
                    "example": "12345678"
                }
            }
        },
        "dto.ResetSysUserPwdReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "用户ID",
                    "type": "integer",
                    "example": 1
                },
                "password": {
                    "description": "密码",
                    "type": "string",
                    "example": "123456"
                }
            }
        },
        "dto.ServApiDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.ServApiInsertReq": {
            "type": "object",
            "properties": {
                "ServiceId": {
                    "description": "服务id",
                    "type": "integer"
                },
                "name": {
                    "description": "标题",
                    "type": "string",
                    "example": "标题"
                },
                "path": {
                    "description": "地址",
                    "type": "string",
                    "example": "/api/list"
                },
                "type": {
                    "description": "请求类型 GET PUT POST DELETE",
                    "type": "string",
                    "example": "GET"
                }
            }
        },
        "dto.ServApiUpdateReq": {
            "type": "object",
            "properties": {
                "name": {
                    "description": "标题",
                    "type": "string",
                    "example": "标题"
                },
                "path": {
                    "description": "地址",
                    "type": "string",
                    "example": "/api/list"
                },
                "type": {
                    "description": "请求类型",
                    "type": "string",
                    "example": "GET"
                }
            }
        },
        "dto.ServMenuDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.ServMenuExportReq": {
            "type": "object",
            "properties": {
                "serviceId": {
                    "type": "integer",
                    "example": 1
                },
                "type": {
                    "description": "json excel",
                    "type": "string",
                    "example": "json"
                }
            }
        },
        "dto.ServMenuInsertReq": {
            "type": "object",
            "properties": {
                "component": {
                    "description": "组件名称",
                    "type": "string",
                    "example": "/admin/sys-user/index"
                },
                "icon": {
                    "description": "图标",
                    "type": "string",
                    "example": "app-group-fill"
                },
                "isFrame": {
                    "description": "是否frame 1-是 2-否",
                    "type": "string",
                    "example": "0"
                },
                "menuType": {
                    "description": "菜单类型 M-目录 C-菜单 F-按钮",
                    "type": "string",
                    "example": "C"
                },
                "name": {
                    "description": "菜单名称",
                    "type": "string",
                    "example": "菜单名称"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer",
                    "example": 0
                },
                "path": {
                    "description": "路径",
                    "type": "string",
                    "example": "/admin"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string",
                    "example": "admin:sysUser:list"
                },
                "serviceId": {
                    "description": "服务id",
                    "type": "integer",
                    "example": 1
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "visible": {
                    "description": "是否显示 1-显示 2-隐藏",
                    "type": "string",
                    "example": "1"
                }
            }
        },
        "dto.ServMenuUpdateReq": {
            "type": "object",
            "properties": {
                "component": {
                    "description": "组件名称",
                    "type": "string",
                    "example": "/admin/sys-user/index"
                },
                "icon": {
                    "description": "图标",
                    "type": "string",
                    "example": "app-group-fill"
                },
                "isFrame": {
                    "description": "是否frame 1-是 2-否",
                    "type": "string",
                    "example": "0"
                },
                "menuType": {
                    "description": "菜单类型 M-目录 C-菜单 F-按钮",
                    "type": "string",
                    "example": "C"
                },
                "name": {
                    "description": "菜单名称",
                    "type": "string",
                    "example": "菜单名称"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer",
                    "example": 0
                },
                "path": {
                    "description": "路径",
                    "type": "string",
                    "example": "/admin"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string",
                    "example": "admin:sysUser:list"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "visible": {
                    "description": "是否显示 1-显示 2-隐藏",
                    "type": "string",
                    "example": "1"
                }
            }
        },
        "dto.SysConfigByKeyReq": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                }
            }
        },
        "dto.SysConfigControl": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string",
                    "example": "sys_single_login"
                },
                "configName": {
                    "type": "string",
                    "example": "单-登录"
                },
                "configValue": {
                    "type": "string",
                    "example": "是"
                },
                "isFrontend": {
                    "description": "1 是 2 否",
                    "type": "string",
                    "example": "1"
                },
                "remark": {
                    "type": "string",
                    "example": "备注"
                }
            }
        },
        "dto.SysDeptDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDeptEnterReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDeptInsertReq": {
            "type": "object",
            "properties": {
                "deptName": {
                    "description": "部门名称",
                    "type": "string",
                    "example": "部门名称"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer",
                    "example": 0
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysDeptUpdateReq": {
            "type": "object",
            "properties": {
                "deptName": {
                    "description": "部门名称",
                    "type": "string",
                    "example": "部门名称"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysDictDataDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDictDataGetAllResp": {
            "type": "object",
            "properties": {
                "label": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "dto.SysDictDataInsertReq": {
            "type": "object",
            "properties": {
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataUpdateReq": {
            "type": "object",
            "properties": {
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDictTypeInsertReq": {
            "type": "object",
            "properties": {
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeUpdateReq": {
            "type": "object",
            "properties": {
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "dto.SysLoginLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysMenuDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysMenuInsertReq": {
            "type": "object",
            "properties": {
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer",
                    "example": 0
                },
                "serviceId": {
                    "description": "服务id",
                    "type": "integer",
                    "example": 1
                },
                "serviceMenuId": {
                    "description": "编码",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "visible": {
                    "description": "是否显示 1-显示 2-隐藏",
                    "type": "string",
                    "example": "1"
                }
            }
        },
        "dto.SysMenuUpdateReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "编码",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "visible": {
                    "description": "是否显示",
                    "type": "string"
                }
            }
        },
        "dto.SysOperaLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysPostDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysPostInsertReq": {
            "type": "object",
            "properties": {
                "postName": {
                    "description": "岗位名称",
                    "type": "string",
                    "example": "岗位名称"
                },
                "remark": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysPostUpdateReq": {
            "type": "object",
            "properties": {
                "postName": {
                    "description": "岗位名称",
                    "type": "string",
                    "example": "岗位名称"
                },
                "remark": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysRegisterAuthDeleteReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRegisterAuthInsertReq": {
            "type": "object",
            "properties": {
                "SMSVerify": {
                    "description": "短信验证 1-关闭 2-开启",
                    "type": "integer",
                    "example": 2
                },
                "deptId": {
                    "description": "部门id",
                    "type": "integer",
                    "example": 2
                },
                "inviteCode": {
                    "description": "邀请码，可以为空",
                    "type": "string",
                    "example": "HnhsqMls"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer",
                    "example": 2
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysRegisterAuthUpdateReq": {
            "type": "object",
            "properties": {
                "SMSVerify": {
                    "description": "短信验证 1-关闭 2-开启",
                    "type": "integer",
                    "example": 2
                },
                "deptId": {
                    "description": "部门id",
                    "type": "integer",
                    "example": 2
                },
                "inviteCode": {
                    "description": "邀请码，可以为空",
                    "type": "string",
                    "example": "HnhsqMls"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer",
                    "example": 2
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "example": 2
                }
            }
        },
        "dto.SysRoleDeleteReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRoleGetRoleApiListResp": {
            "type": "object",
            "properties": {
                "apiIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "apiList": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.ServApi"
                    }
                }
            }
        },
        "dto.SysRoleGetRoleMenuListResp": {
            "type": "object",
            "properties": {
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysRoleInsertReq": {
            "type": "object",
            "properties": {
                "dataScope": {
                    "description": "数据权限 1-全部数据权限 3-本机构数据权限 4-本机构及以下数据权限 5-仅本人数据权限",
                    "type": "integer",
                    "example": 1
                },
                "name": {
                    "description": "角色名称",
                    "type": "string",
                    "example": "管理员"
                },
                "remark": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "sort": {
                    "description": "角色排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "string",
                    "example": "2"
                }
            }
        },
        "dto.SysRoleUpdateReq": {
            "type": "object",
            "properties": {
                "dataScope": {
                    "description": "数据权限 1-全部数据权限 3-本机构数据权限 4-本机构及以下数据权限 5-仅本人数据权限",
                    "type": "integer",
                    "example": 1
                },
                "name": {
                    "description": "角色名称",
                    "type": "string",
                    "example": "管理员"
                },
                "remark": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "sort": {
                    "description": "角色排序",
                    "type": "integer",
                    "example": 0
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "string",
                    "example": "2"
                }
            }
        },
        "dto.SysRoleUpdateRoleApiReq": {
            "type": "object",
            "properties": {
                "apiIds": {
                    "description": "api路由 id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        3
                    ]
                },
                "serviceId": {
                    "description": "服务id",
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "dto.SysRoleUpdateRoleMenuReq": {
            "type": "object",
            "properties": {
                "menuIds": {
                    "description": "系统菜单id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1,
                        2,
                        3
                    ]
                }
            }
        },
        "dto.SysServiceDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysServiceDiscoveryReq": {
            "type": "object",
            "properties": {
                "authCode": {
                    "description": "授权码",
                    "type": "string",
                    "example": "3EDJRaagFTVVo2Ilo80nHJfLVN1OgN8d"
                },
                "host": {
                    "description": "服务地址",
                    "type": "string",
                    "example": "http://127.0.0.1:8080/user"
                },
                "name": {
                    "description": "服务名称",
                    "type": "string",
                    "example": "用户系统"
                },
                "roleApiUrl": {
                    "description": "授权码",
                    "type": "string",
                    "example": "/api/role-api-test"
                }
            }
        },
        "dto.SysServiceInsertReq": {
            "type": "object",
            "properties": {
                "authCode": {
                    "description": "授权码",
                    "type": "string",
                    "example": "3EDJRaagFTVVo2Ilo80nHJfLVN1OgN8d"
                },
                "host": {
                    "description": "服务地址",
                    "type": "string",
                    "example": "http://127.0.0.1:8080/user"
                },
                "name": {
                    "description": "服务名称",
                    "type": "string",
                    "example": "用户系统"
                },
                "roleApiUrl": {
                    "description": "角色api回调地址",
                    "type": "string",
                    "example": "/role/api"
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer",
                    "default": 1,
                    "example": 1
                }
            }
        },
        "dto.SysServiceUpdateReq": {
            "type": "object",
            "properties": {
                "authCode": {
                    "description": "授权码",
                    "type": "string",
                    "example": "3EDJRaagFTVVo2Ilo80nHJfLVN1OgN8d"
                },
                "host": {
                    "description": "服务地址",
                    "type": "string",
                    "example": "http://127.0.0.1:8080/user"
                },
                "name": {
                    "description": "服务名称",
                    "type": "string",
                    "example": "用户系统"
                },
                "roleApiUrl": {
                    "type": "string",
                    "example": "/role/api"
                },
                "status": {
                    "type": "integer",
                    "default": 1,
                    "example": 1
                }
            }
        },
        "dto.SysUserDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysUserInsertReq": {
            "type": "object",
            "properties": {
                "nickName": {
                    "description": "姓名",
                    "type": "string",
                    "example": "姓名"
                },
                "password": {
                    "description": "密码",
                    "type": "string",
                    "example": "123456"
                },
                "username": {
                    "description": "用户名",
                    "type": "string",
                    "example": "username"
                }
            }
        },
        "dto.SysUserRegisterReq": {
            "type": "object",
            "properties": {
                "URKey": {
                    "description": "注册码",
                    "type": "string",
                    "example": "jKEnYWNXyrOvTofU"
                },
                "code": {
                    "description": "短信验证码",
                    "type": "string",
                    "example": "125478"
                },
                "password": {
                    "description": "密码",
                    "type": "string",
                    "example": "123456"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string",
                    "example": "13912345678"
                },
                "username": {
                    "description": "用户名",
                    "type": "string",
                    "example": "username"
                }
            }
        },
        "dto.SysUserUpdateReq": {
            "type": "object",
            "properties": {
                "nickName": {
                    "description": "昵称",
                    "type": "string",
                    "example": "昵称"
                }
            }
        },
        "dto.UpdateSysUserStatusReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "用户ID",
                    "type": "integer",
                    "example": 1
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "string",
                    "example": "2"
                }
            }
        },
        "handler.Login": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "model.ServApi": {
            "type": "object",
            "properties": {
                "action": {
                    "description": "请求类型",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "name": {
                    "description": "标题",
                    "type": "string"
                },
                "path": {
                    "description": "地址",
                    "type": "string"
                },
                "serviceId": {
                    "description": "服务ID",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.ServMenu": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.ServMenu"
                    }
                },
                "component": {
                    "description": "组件路径",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "isFrame": {
                    "description": "是否外链 1-是 2-否",
                    "type": "string"
                },
                "is_select": {
                    "type": "boolean"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "name": {
                    "description": "菜单名称",
                    "type": "string"
                },
                "parentId": {
                    "description": "父id",
                    "type": "integer"
                },
                "path": {
                    "description": "外链路由地址",
                    "type": "string"
                },
                "permission": {
                    "description": "权限标识",
                    "type": "string"
                },
                "serviceId": {
                    "description": "服务ID",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                },
                "visible": {
                    "description": "1-显示 0-隐藏",
                    "type": "string"
                }
            }
        },
        "model.SysConfig": {
            "type": "object",
            "properties": {
                "configKey": {
                    "description": "配置Key",
                    "type": "string"
                },
                "configName": {
                    "description": "配置名称",
                    "type": "string"
                },
                "configValue": {
                    "description": "配置值",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "isFrontend": {
                    "description": "是否前台展示",
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysDept": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.SysDept"
                    }
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysDictData": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictCode": {
                    "type": "integer"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "description": "1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysDictType": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "description": "1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysLoginLog": {
            "type": "object",
            "properties": {
                "browser": {
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "ipaddr": {
                    "type": "string"
                },
                "loginLocation": {
                    "type": "string"
                },
                "loginTime": {
                    "type": "string"
                },
                "msg": {
                    "type": "string"
                },
                "os": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "model.SysMenu": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.SysMenu"
                    }
                },
                "component": {
                    "description": "组件路径",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "isFrame": {
                    "description": "是否外链 1-是 2-否",
                    "type": "string"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "name": {
                    "description": "菜单名称",
                    "type": "string"
                },
                "parentId": {
                    "description": "父id",
                    "type": "integer"
                },
                "path": {
                    "description": "外链路由地址",
                    "type": "string"
                },
                "permission": {
                    "description": "权限标识",
                    "type": "string"
                },
                "serviceId": {
                    "description": "服务ID",
                    "type": "integer"
                },
                "serviceMenuId": {
                    "description": "服务菜单ID",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                },
                "visible": {
                    "description": "1-显示 0-隐藏",
                    "type": "string"
                }
            }
        },
        "model.SysOperaLog": {
            "type": "object",
            "properties": {
                "businessType": {
                    "type": "string"
                },
                "businessTypes": {
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "deptName": {
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "jsonResult": {
                    "type": "string"
                },
                "latencyTime": {
                    "type": "string"
                },
                "method": {
                    "type": "string"
                },
                "operaIp": {
                    "type": "string"
                },
                "operaLocation": {
                    "type": "string"
                },
                "operaName": {
                    "type": "string"
                },
                "operaParam": {
                    "type": "string"
                },
                "operaTime": {
                    "type": "string"
                },
                "operaUrl": {
                    "type": "string"
                },
                "operatorType": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "requestMethod": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "userAgent": {
                    "type": "string"
                }
            }
        },
        "model.SysPost": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "postName": {
                    "description": "岗位名称",
                    "type": "string"
                },
                "remark": {
                    "description": "描述",
                    "type": "string"
                },
                "sort": {
                    "description": "岗位排序",
                    "type": "integer"
                },
                "status": {
                    "description": "1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysRegisterAuth": {
            "type": "object",
            "properties": {
                "SMSVerify": {
                    "description": "状态 1-关闭 2-开启",
                    "type": "integer"
                },
                "URKey": {
                    "description": "岗位名称",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门id",
                    "type": "integer"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "邀请码",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysRole": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "integer"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "name": {
                    "description": "角色名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "sort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "description": "1-停用 2-正常",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysService": {
            "type": "object",
            "properties": {
                "authCode": {
                    "description": "授权码",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "host": {
                    "description": "服务地址",
                    "type": "string"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "name": {
                    "description": "服务名称",
                    "type": "string"
                },
                "no": {
                    "description": "服务编号",
                    "type": "string"
                },
                "roleApiUrl": {
                    "description": "角色权限回调地址",
                    "type": "string"
                },
                "status": {
                    "description": "状态 1-停用 2-正常",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                }
            }
        },
        "model.SysUser": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dept": {
                    "description": "部门",
                    "$ref": "#/definitions/model.SysDept"
                },
                "deptId": {
                    "description": "部门id",
                    "type": "integer"
                },
                "id": {
                    "description": "主键编码",
                    "type": "integer"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "岗位id",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "role": {
                    "description": "角色",
                    "$ref": "#/definitions/model.SysRole"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer"
                },
                "status": {
                    "description": "1-停用 2-正常",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "integer"
                },
                "updatedAt": {
                    "description": "最后更新时间",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                },
                "uuid": {
                    "type": "string"
                }
            }
        },
        "model.UserInfo": {
            "type": "object",
            "properties": {
                "dataScope": {
                    "description": "数据访问范围 1-全部数据权限 3-本机构数据权限  4-本机构及以下数据权限 5-仅本人数据权限",
                    "type": "integer"
                },
                "deptId": {
                    "description": "部门id",
                    "type": "integer"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色编码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "userId": {
                    "description": "用户id",
                    "type": "integer"
                },
                "userName": {
                    "description": "用户名称",
                    "type": "string"
                },
                "uuid": {
                    "description": "用户uuid",
                    "type": "string"
                }
            }
        },
        "response.Page": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "总数",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页条数",
                    "type": "integer"
                }
            }
        },
        "response.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer"
                },
                "msg": {
                    "type": "string"
                },
                "requestId": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "Bearer": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "127.0.0.1:8000",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "疫苗进销存管理系统-用户中心",
	Description:      "疫苗进销存管理系统-用户中心",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
